Skip to content

Create API Key

POST
/api/api-keys

Create a new API key with optional permission and module restrictions.

Authorizations

ApiKeyAuth

API key for authentication. Get your API key from the dashboard.

Type
API Key (header: X-Api-Key)

Request Body

application/json
JSON
{
  
"data": {
  
  
"type": "api-keys",
  
  
"attributes": {
  
  
  
"name": "string",
  
  
  
"organizationId": "string",
  
  
  
"permissions": [
  
  
  
  
"string"
  
  
  
],
  
  
  
"modules": [
  
  
  
  
"string"
  
  
  
],
  
  
  
"allowedDomains": [
  
  
  
  
"string"
  
  
  
],
  
  
  
"expiresIn": 0
  
  
}
  
}
}

Responses

API key created

application/json
JSON
{
  
"data": {
  
  
"id": "string",
  
  
"key": "string",
  
  
"name": "string",
  
  
"prefix": "string",
  
  
"organizationId": "string",
  
  
"permissions": [
  
  
  
"string"
  
  
],
  
  
"modules": [
  
  
  
"string"
  
  
],
  
  
"expiresAt": "string"
  
}
}

Playground

Authorization
Body

Samples

Powered by VitePress OpenAPI

AstroAPI Documentation